/**
 *
 *
 */
export class GiteaBranch extends Branch {
    static get attributeMapping(): {
        full_name: string;
    };
    entries(patterns: any): AsyncGenerator<{
        [x: string]: any;
        readonly isCollection: boolean;
        readonly types: string[];
        readonly mode: number;
    } | GiteaMasterOnlyContentEntry | GiteaContentEntry, void, unknown>;
    removeEntries(entries: any): Promise<void>;
    sha(path: any): Promise<any>;
    /**
     * Writes content into the branch.
     * @param {ContentEntry} entry
     * @param {String} message
     * @return {Promise<ContentEntry>} written content with sha values set
     */
    writeEntry(entry: ContentEntry, message: string): Promise<ContentEntry>;
    /**
     * Commit entries.
     * @param {string} message commit message
     * @param {ContentEntry[]} entries content to be commited
     * @param {Object} [options]
     * @return {Promise<Commit>}
     */
    commit(message: string, entries: ContentEntry[], options?: any): Promise<Commit>;
}
import { Branch } from "repository-provider";
declare const GiteaMasterOnlyContentEntry_base: {
    new (): {
        [x: string]: any;
        readonly buffer: Promise<Uint8Array>;
        readonly string: Promise<string>;
        getString(options?: {
            encoding: string;
        }): Promise<string>;
        setString(value: any, options?: {
            encoding: string;
        }): Promise<any>;
        getBuffer(options: any): Promise<Uint8Array>;
        setBuffer(value: any, options: any): Promise<any>;
        setBufferOrString(value: any, options: any): Promise<any>;
    };
    [x: string]: any;
};
/**
 * only works for master branch
 *
 */
declare class GiteaMasterOnlyContentEntry extends GiteaMasterOnlyContentEntry_base {
    constructor(name: any, mode: any, branch: any);
    branch: any;
    get provider(): any;
    get readStream(): Promise<any>;
    getReadStream(): Promise<any>;
    getString(): Promise<string>;
}
declare const GiteaContentEntry_base: {
    new (): {
        [x: string]: any;
        readonly string: string;
        readonly readStream: ReadableStream<any>;
        readonly isEmpty: boolean;
        readonly size: number;
        getReadStream(): Promise<ReadableStream<any>>;
    };
    [x: string]: any;
};
/**
 * works for all branches
 *
 */
declare class GiteaContentEntry extends GiteaContentEntry_base {
    constructor(name: any, mode: any, branch: any);
    branch: any;
    get provider(): any;
    get buffer(): Promise<Uint8Array>;
    getBuffer(): Promise<Uint8Array>;
    getString(): Promise<string>;
    get string(): Promise<string>;
}
import { ContentEntry } from "content-entry";
import { Commit } from "repository-provider";
export {};
