/**
 * Gitea provider.
 * Known environment variables:
 * - GITEA_TOKEN api token
 * - GITEA_API api url
 */
export class GiteaProvider extends MultiGroupProvider {
    static get attributes(): {
        api: {
            description: string;
            set: (value: any) => any;
            env: string;
            mandatory: boolean;
            type: string;
            isKey: boolean;
            writable: boolean;
            private?: boolean;
            depends?: string;
            additionalAttributes: string[];
            default?: any;
            get?: Function;
        };
        token: {
            description: string;
            env: string;
            mandatory: boolean;
            type: string;
            isKey: boolean;
            writable: boolean;
            private?: boolean;
            depends?: string;
            additionalAttributes: string[];
            default?: any;
            set?: Function;
            get?: Function;
        };
        name: {
            env: string;
            type: string;
            isKey: boolean;
            writable: boolean;
            mandatory: boolean;
            private?: boolean;
            depends?: string;
            additionalAttributes: string[];
            description?: string;
            default?: any;
            set?: Function;
            get?: Function;
        };
        url: import("pacc").AttributeDefinition;
        description: import("pacc").AttributeDefinition;
        priority: import("pacc").AttributeDefinition;
        messageDestination: {
            type: string;
            default: Console;
            writable: boolean;
            private: boolean;
            isKey: boolean;
            mandatory: boolean;
            depends?: string;
            additionalAttributes: string[];
            description?: string;
            set?: Function;
            get?: Function;
            env?: string | string[];
        };
    };
    fetch(url: any, options?: {}): any;
    fetchJSON(url: any, options: any): any;
    /**
     * @see https://try.gitea.io/api/swagger#/repository/repoSearch
     * @returns
     */
    initializeRepositories(): Promise<void>;
    get url(): string;
    get repositoryClass(): typeof GiteaRepository;
    get pullRequestClass(): typeof GiteaPullRequest;
    get repositoryGroupClass(): typeof GiteaOrganization;
}
export default GiteaProvider;
import { MultiGroupProvider } from "repository-provider";
import { GiteaRepository } from "./gitea-repository.mjs";
import { GiteaPullRequest } from "./gitea-pull-request.mjs";
import { GiteaOrganization } from "./gitea-organization.mjs";
