/**
 *
 */
export class GiteaPullRequest extends PullRequest {
    static get attributes(): {
        state: {
            values: Set<string>;
            writeable: boolean;
            type: string;
            isKey: boolean;
            writable: boolean;
            mandatory: boolean;
            private?: boolean;
            depends?: string;
            additionalAttributes: string[];
            description?: string;
            default?: any;
            set?: Function;
            get?: Function;
            env?: string | string[];
        };
        mergeable: import("pacc").AttributeDefinition;
        body: import("pacc").AttributeDefinition;
        title: import("pacc").AttributeDefinition;
        url: import("pacc").AttributeDefinition;
        locked: import("pacc").AttributeDefinition;
        merged: import("pacc").AttributeDefinition;
        draft: import("pacc").AttributeDefinition;
        dry: import("pacc").AttributeDefinition;
        empty: import("pacc").AttributeDefinition;
        id: import("pacc").AttributeDefinition;
        name: import("pacc").AttributeDefinition;
        description: import("pacc").AttributeDefinition;
    };
    static get attributeMapping(): {
        is_locked: string;
    };
    /**
     * List all pull request for a given repo.
     * Result will be filtered by source branch, destination branch and states.
     * @param {Repository} respository
     * @param {Object} filter
     * @param {Branch} [filter.source]
     * @param {Branch} [filter.destination]
     * @param {Set<string>} [filter.states]
     * @return {AsyncIterator<PullRequest>}
     */
    static list(respository: Repository, filter?: {
        source?: Branch;
        destination?: Branch;
        states?: Set<string>;
    }): AsyncIterator<PullRequest>;
    static open(source: any, destination: any, options: any): Promise<GiteaPullRequest>;
    _merge(method: any): Promise<void>;
}
import { PullRequest } from "repository-provider";
import { Repository } from "repository-provider";
import { Branch } from "repository-provider";
