/**
 * @see {https://try.gitea.io/api/swagger#/repository/repoGet}
 */
export class GiteaRepository extends Repository {
    static get attributeMapping(): {
        fork: string;
        archived: string;
        template: string;
        private: string;
        mirror: string;
        website: string;
        default_branch: string;
    };
    static get attributes(): {
        size_attribute: import("pacc").AttributeDefinition;
        language_attribute: import("pacc").AttributeDefinition;
        allow_manual_merge: import("pacc").AttributeDefinition;
        allow_merge_commits: import("pacc").AttributeDefinition;
        allow_rebase: import("pacc").AttributeDefinition;
        allow_rebase_explicit: import("pacc").AttributeDefinition;
        allow_squash_merge: import("pacc").AttributeDefinition;
        autodetect_manual_merge: import("pacc").AttributeDefinition;
        ignore_whitespace_conflicts: import("pacc").AttributeDefinition;
        default_delete_branch_after_merge: import("pacc").AttributeDefinition;
        default_merge_style: import("pacc").AttributeDefinition;
        stars_count: import("pacc").AttributeDefinition;
        ssh_url: import("pacc").AttributeDefinition;
        empty: import("pacc").AttributeDefinition;
        open_issues_count: import("pacc").AttributeDefinition;
        open_pr_counter: import("pacc").AttributeDefinition;
        watchers_count: import("pacc").AttributeDefinition;
        release_counter: import("pacc").AttributeDefinition;
        has_projects: import("pacc").AttributeDefinition;
        has_pull_requests: import("pacc").AttributeDefinition;
        has_wiki: import("pacc").AttributeDefinition;
        forks_count: import("pacc").AttributeDefinition;
        url: import("pacc").AttributeDefinition;
        defaultBranchName: {
            default: string;
            type: string;
            isKey: boolean;
            writable: boolean;
            mandatory: boolean;
            private?: boolean;
            depends?: string;
            additionalAttributes: string[];
            description?: string;
            set?: Function;
            get?: Function;
            env?: string | string[];
        };
        cloneURL: import("pacc").AttributeDefinition;
        isArchived: import("pacc").AttributeDefinition;
        isLocked: import("pacc").AttributeDefinition;
        isDisabled: import("pacc").AttributeDefinition;
        isTemplate: import("pacc").AttributeDefinition;
        isFork: import("pacc").AttributeDefinition;
        id: import("pacc").AttributeDefinition;
        name: import("pacc").AttributeDefinition;
        description: import("pacc").AttributeDefinition;
    };
    fetch(path: any, options: any): any;
    fetchJSON(path: any, options: any): any;
    /**
     * {@link https://try.gitea.io/api/swagger#/repository/repoEdit}
     */
    update(): Promise<any>;
    initializeBranches(): Promise<void>;
    createBranch(name: any, from: any, options: any): Promise<import("repository-provider").Branch>;
    initializeHooks(): Promise<void>;
    refId(ref: any): Promise<any>;
    get branchClass(): typeof GiteaBranch;
}
import { Repository } from "repository-provider";
import { GiteaBranch } from "./gitea-branch.mjs";
